%global momorel 2
%global srcname FreeMat
%global arcname %{srcname}-%{version}-Source
%global dirname %{srcname}-%{version}.1-Source

Summary: A free numerical computing environment similar to Matlab
Name: freemat
Version: 4.0
Release: %{momorel}m%{?dist}
Group: Applications/Engineering
License: GPLv2+
URL: http://freemat.sourceforge.net/
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{arcname}.tar.gz
NoSource: 0
BuildRequires: fftw-devel
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libstdc++-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: ncurses-devel
BuildRequires: pcre-devel
BuildRequires: portaudio-devel >= 19
BuildRequires: qt-devel >= 4.6.0
BuildRequires: suitesparse-devel
BuildRequires: zlib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
FreeMat is a free environment for rapid engineering and scientific
prototyping and data processing. It is similar to commercial systems
such as MATLAB from Mathworks, and IDL from Research Systems, but is
Open Source. FreeMat is available under the GPL license.

%prep
%setup -q -n %{dirname}
rm -f CMakeCache.txt
find . -name \*.moc.cpp -exec rm {} \;

%build
mkdir -p %{_target_platform}
pushd %{_target_platform} 
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DUSE_LLVM:BOOL=OFF ..
%make
popd

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}
(cd %{buildroot}%{_bindir}
ln -s FreeMat freemat
)

## desktop
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=FreeMat
GenericName=FreeMat Numerical Computation Program
Comment=Numerical computation environment similar to MATLAB
Exec=FreeMat
Terminal=false
Type=Application
Icon=freemat.png
EOF
# install desktop file
desktop-file-install --vendor= \
    --dir %{buildroot}%{_datadir}/applications \
    --remove-category Application \
    --add-category Science \
    --add-category Math \
    ./%{name}.desktop
# install icons
mkdir -p %{buildroot}/%{_datadir}/pixmaps
install -m 644 images/freemat_small_mod_64.png %{buildroot}%{_datadir}/pixmaps/freemat.png

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%{_bindir}/FreeMat
%{_bindir}/freemat
%{_bindir}/blas.ini
%{_datadir}/%{srcname}-%{version}
%{_datadir}/pixmaps/freemat.png
%{_datadir}/applications/freemat.desktop

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (4.0-2m)
- full rebuild for mo7 release

* Fri Dec  4 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0-1m)
- update to 4.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.6-9m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.6-8m)
- rebuild against openssl-0.9.8k

* Sun Jan 25 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.6-7m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.6-6m)
- rebuild against rpm-4.6

* Thu Sep 18 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6-5m)
- no use LLVM compiler

* Thu Jul 24 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.6-4m)
- rebuild against portaudio-19

* Wed Jun  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.6-3m)
- rebuild against openssl-0.9.8h-1m

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.6-2m)
- rebuild against qt-4.4.0-1m

* Fri Apr 18 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.6-1m)
- import to Momonga

